Update Region
curl --request PATCH \
--url https://api.headlesscommerce.io/v1/admin/regions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": "<string>",
"tax_rate": 123,
"prices_include_tax": true,
"is_default": true,
"is_active": true,
"metadata": {}
}
'import requests
url = "https://api.headlesscommerce.io/v1/admin/regions/{id}"
payload = {
"name": "<string>",
"currency": "<string>",
"tax_rate": 123,
"prices_include_tax": True,
"is_default": True,
"is_active": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
currency: '<string>',
tax_rate: 123,
prices_include_tax: true,
is_default: true,
is_active: true,
metadata: {}
})
};
fetch('https://api.headlesscommerce.io/v1/admin/regions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"currency": "<string>",
"tax_rate": 123,
"prices_include_tax": true,
"is_default": true,
"is_active": true,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}Admin - Regions & i18n
Update Region
PATCH
/
admin
/
regions
/
{id}
Update Region
Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
Body
application/json
⌘I